import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { DescribeDataMigrationsResponseFilterSensitiveLog, } from "../models/models_0";
import { de_DescribeDataMigrationsCommand, se_DescribeDataMigrationsCommand } from "../protocols/Aws_json1_1";
export { $Command };
export class DescribeDataMigrationsCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonDMSv20160101", "DescribeDataMigrations", {})
    .n("DatabaseMigrationServiceClient", "DescribeDataMigrationsCommand")
    .f(void 0, DescribeDataMigrationsResponseFilterSensitiveLog)
    .ser(se_DescribeDataMigrationsCommand)
    .de(de_DescribeDataMigrationsCommand)
    .build() {
}
