import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_DescribeRecommendationLimitationsCommand, se_DescribeRecommendationLimitationsCommand, } from "../protocols/Aws_json1_1";
export { $Command };
export class DescribeRecommendationLimitationsCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonDMSv20160101", "DescribeRecommendationLimitations", {})
    .n("DatabaseMigrationServiceClient", "DescribeRecommendationLimitationsCommand")
    .f(void 0, void 0)
    .ser(se_DescribeRecommendationLimitationsCommand)
    .de(de_DescribeRecommendationLimitationsCommand)
    .build() {
}
