import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { ModifyEndpointMessageFilterSensitiveLog, ModifyEndpointResponseFilterSensitiveLog, } from "../models/models_1";
import { de_ModifyEndpointCommand, se_ModifyEndpointCommand } from "../protocols/Aws_json1_1";
export { $Command };
export class ModifyEndpointCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonDMSv20160101", "ModifyEndpoint", {})
    .n("DatabaseMigrationServiceClient", "ModifyEndpointCommand")
    .f(ModifyEndpointMessageFilterSensitiveLog, ModifyEndpointResponseFilterSensitiveLog)
    .ser(se_ModifyEndpointCommand)
    .de(de_ModifyEndpointCommand)
    .build() {
}
