import {
  AwsSdkSigV4AuthInputConfig,
  AwsSdkSigV4AuthResolvedConfig,
  AwsSdkSigV4PreviouslyResolved,
} from "@aws-sdk/core";
import {
  HandlerExecutionContext,
  HttpAuthScheme,
  HttpAuthSchemeParameters,
  HttpAuthSchemeParametersProvider,
  HttpAuthSchemeProvider,
} from "@smithy/types";
import { DatabaseMigrationServiceClientResolvedConfig } from "../DatabaseMigrationServiceClient";
export interface DatabaseMigrationServiceHttpAuthSchemeParameters
  extends HttpAuthSchemeParameters {
  region?: string;
}
export interface DatabaseMigrationServiceHttpAuthSchemeParametersProvider
  extends HttpAuthSchemeParametersProvider<
    DatabaseMigrationServiceClientResolvedConfig,
    HandlerExecutionContext,
    DatabaseMigrationServiceHttpAuthSchemeParameters,
    object
  > {}
export declare const defaultDatabaseMigrationServiceHttpAuthSchemeParametersProvider: (
  config: DatabaseMigrationServiceClientResolvedConfig,
  context: HandlerExecutionContext,
  input: object
) => Promise<DatabaseMigrationServiceHttpAuthSchemeParameters>;
export interface DatabaseMigrationServiceHttpAuthSchemeProvider
  extends HttpAuthSchemeProvider<DatabaseMigrationServiceHttpAuthSchemeParameters> {}
export declare const defaultDatabaseMigrationServiceHttpAuthSchemeProvider: DatabaseMigrationServiceHttpAuthSchemeProvider;
export interface HttpAuthSchemeInputConfig extends AwsSdkSigV4AuthInputConfig {
  httpAuthSchemes?: HttpAuthScheme[];
  httpAuthSchemeProvider?: DatabaseMigrationServiceHttpAuthSchemeProvider;
}
export interface HttpAuthSchemeResolvedConfig
  extends AwsSdkSigV4AuthResolvedConfig {
  readonly httpAuthSchemes: HttpAuthScheme[];
  readonly httpAuthSchemeProvider: DatabaseMigrationServiceHttpAuthSchemeProvider;
}
export declare const resolveHttpAuthSchemeConfig: <T>(
  config: T & HttpAuthSchemeInputConfig & AwsSdkSigV4PreviouslyResolved
) => T & HttpAuthSchemeResolvedConfig;
