import {
  HttpRequest as __HttpRequest,
  HttpResponse as __HttpResponse,
} from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import {
  AddTagsToResourceCommandInput,
  AddTagsToResourceCommandOutput,
} from "../commands/AddTagsToResourceCommand";
import {
  ApplyPendingMaintenanceActionCommandInput,
  ApplyPendingMaintenanceActionCommandOutput,
} from "../commands/ApplyPendingMaintenanceActionCommand";
import {
  BatchStartRecommendationsCommandInput,
  BatchStartRecommendationsCommandOutput,
} from "../commands/BatchStartRecommendationsCommand";
import {
  CancelReplicationTaskAssessmentRunCommandInput,
  CancelReplicationTaskAssessmentRunCommandOutput,
} from "../commands/CancelReplicationTaskAssessmentRunCommand";
import {
  CreateDataMigrationCommandInput,
  CreateDataMigrationCommandOutput,
} from "../commands/CreateDataMigrationCommand";
import {
  CreateDataProviderCommandInput,
  CreateDataProviderCommandOutput,
} from "../commands/CreateDataProviderCommand";
import {
  CreateEndpointCommandInput,
  CreateEndpointCommandOutput,
} from "../commands/CreateEndpointCommand";
import {
  CreateEventSubscriptionCommandInput,
  CreateEventSubscriptionCommandOutput,
} from "../commands/CreateEventSubscriptionCommand";
import {
  CreateFleetAdvisorCollectorCommandInput,
  CreateFleetAdvisorCollectorCommandOutput,
} from "../commands/CreateFleetAdvisorCollectorCommand";
import {
  CreateInstanceProfileCommandInput,
  CreateInstanceProfileCommandOutput,
} from "../commands/CreateInstanceProfileCommand";
import {
  CreateMigrationProjectCommandInput,
  CreateMigrationProjectCommandOutput,
} from "../commands/CreateMigrationProjectCommand";
import {
  CreateReplicationConfigCommandInput,
  CreateReplicationConfigCommandOutput,
} from "../commands/CreateReplicationConfigCommand";
import {
  CreateReplicationInstanceCommandInput,
  CreateReplicationInstanceCommandOutput,
} from "../commands/CreateReplicationInstanceCommand";
import {
  CreateReplicationSubnetGroupCommandInput,
  CreateReplicationSubnetGroupCommandOutput,
} from "../commands/CreateReplicationSubnetGroupCommand";
import {
  CreateReplicationTaskCommandInput,
  CreateReplicationTaskCommandOutput,
} from "../commands/CreateReplicationTaskCommand";
import {
  DeleteCertificateCommandInput,
  DeleteCertificateCommandOutput,
} from "../commands/DeleteCertificateCommand";
import {
  DeleteConnectionCommandInput,
  DeleteConnectionCommandOutput,
} from "../commands/DeleteConnectionCommand";
import {
  DeleteDataMigrationCommandInput,
  DeleteDataMigrationCommandOutput,
} from "../commands/DeleteDataMigrationCommand";
import {
  DeleteDataProviderCommandInput,
  DeleteDataProviderCommandOutput,
} from "../commands/DeleteDataProviderCommand";
import {
  DeleteEndpointCommandInput,
  DeleteEndpointCommandOutput,
} from "../commands/DeleteEndpointCommand";
import {
  DeleteEventSubscriptionCommandInput,
  DeleteEventSubscriptionCommandOutput,
} from "../commands/DeleteEventSubscriptionCommand";
import {
  DeleteFleetAdvisorCollectorCommandInput,
  DeleteFleetAdvisorCollectorCommandOutput,
} from "../commands/DeleteFleetAdvisorCollectorCommand";
import {
  DeleteFleetAdvisorDatabasesCommandInput,
  DeleteFleetAdvisorDatabasesCommandOutput,
} from "../commands/DeleteFleetAdvisorDatabasesCommand";
import {
  DeleteInstanceProfileCommandInput,
  DeleteInstanceProfileCommandOutput,
} from "../commands/DeleteInstanceProfileCommand";
import {
  DeleteMigrationProjectCommandInput,
  DeleteMigrationProjectCommandOutput,
} from "../commands/DeleteMigrationProjectCommand";
import {
  DeleteReplicationConfigCommandInput,
  DeleteReplicationConfigCommandOutput,
} from "../commands/DeleteReplicationConfigCommand";
import {
  DeleteReplicationInstanceCommandInput,
  DeleteReplicationInstanceCommandOutput,
} from "../commands/DeleteReplicationInstanceCommand";
import {
  DeleteReplicationSubnetGroupCommandInput,
  DeleteReplicationSubnetGroupCommandOutput,
} from "../commands/DeleteReplicationSubnetGroupCommand";
import {
  DeleteReplicationTaskAssessmentRunCommandInput,
  DeleteReplicationTaskAssessmentRunCommandOutput,
} from "../commands/DeleteReplicationTaskAssessmentRunCommand";
import {
  DeleteReplicationTaskCommandInput,
  DeleteReplicationTaskCommandOutput,
} from "../commands/DeleteReplicationTaskCommand";
import {
  DescribeAccountAttributesCommandInput,
  DescribeAccountAttributesCommandOutput,
} from "../commands/DescribeAccountAttributesCommand";
import {
  DescribeApplicableIndividualAssessmentsCommandInput,
  DescribeApplicableIndividualAssessmentsCommandOutput,
} from "../commands/DescribeApplicableIndividualAssessmentsCommand";
import {
  DescribeCertificatesCommandInput,
  DescribeCertificatesCommandOutput,
} from "../commands/DescribeCertificatesCommand";
import {
  DescribeConnectionsCommandInput,
  DescribeConnectionsCommandOutput,
} from "../commands/DescribeConnectionsCommand";
import {
  DescribeConversionConfigurationCommandInput,
  DescribeConversionConfigurationCommandOutput,
} from "../commands/DescribeConversionConfigurationCommand";
import {
  DescribeDataMigrationsCommandInput,
  DescribeDataMigrationsCommandOutput,
} from "../commands/DescribeDataMigrationsCommand";
import {
  DescribeDataProvidersCommandInput,
  DescribeDataProvidersCommandOutput,
} from "../commands/DescribeDataProvidersCommand";
import {
  DescribeEndpointsCommandInput,
  DescribeEndpointsCommandOutput,
} from "../commands/DescribeEndpointsCommand";
import {
  DescribeEndpointSettingsCommandInput,
  DescribeEndpointSettingsCommandOutput,
} from "../commands/DescribeEndpointSettingsCommand";
import {
  DescribeEndpointTypesCommandInput,
  DescribeEndpointTypesCommandOutput,
} from "../commands/DescribeEndpointTypesCommand";
import {
  DescribeEngineVersionsCommandInput,
  DescribeEngineVersionsCommandOutput,
} from "../commands/DescribeEngineVersionsCommand";
import {
  DescribeEventCategoriesCommandInput,
  DescribeEventCategoriesCommandOutput,
} from "../commands/DescribeEventCategoriesCommand";
import {
  DescribeEventsCommandInput,
  DescribeEventsCommandOutput,
} from "../commands/DescribeEventsCommand";
import {
  DescribeEventSubscriptionsCommandInput,
  DescribeEventSubscriptionsCommandOutput,
} from "../commands/DescribeEventSubscriptionsCommand";
import {
  DescribeExtensionPackAssociationsCommandInput,
  DescribeExtensionPackAssociationsCommandOutput,
} from "../commands/DescribeExtensionPackAssociationsCommand";
import {
  DescribeFleetAdvisorCollectorsCommandInput,
  DescribeFleetAdvisorCollectorsCommandOutput,
} from "../commands/DescribeFleetAdvisorCollectorsCommand";
import {
  DescribeFleetAdvisorDatabasesCommandInput,
  DescribeFleetAdvisorDatabasesCommandOutput,
} from "../commands/DescribeFleetAdvisorDatabasesCommand";
import {
  DescribeFleetAdvisorLsaAnalysisCommandInput,
  DescribeFleetAdvisorLsaAnalysisCommandOutput,
} from "../commands/DescribeFleetAdvisorLsaAnalysisCommand";
import {
  DescribeFleetAdvisorSchemaObjectSummaryCommandInput,
  DescribeFleetAdvisorSchemaObjectSummaryCommandOutput,
} from "../commands/DescribeFleetAdvisorSchemaObjectSummaryCommand";
import {
  DescribeFleetAdvisorSchemasCommandInput,
  DescribeFleetAdvisorSchemasCommandOutput,
} from "../commands/DescribeFleetAdvisorSchemasCommand";
import {
  DescribeInstanceProfilesCommandInput,
  DescribeInstanceProfilesCommandOutput,
} from "../commands/DescribeInstanceProfilesCommand";
import {
  DescribeMetadataModelAssessmentsCommandInput,
  DescribeMetadataModelAssessmentsCommandOutput,
} from "../commands/DescribeMetadataModelAssessmentsCommand";
import {
  DescribeMetadataModelConversionsCommandInput,
  DescribeMetadataModelConversionsCommandOutput,
} from "../commands/DescribeMetadataModelConversionsCommand";
import {
  DescribeMetadataModelExportsAsScriptCommandInput,
  DescribeMetadataModelExportsAsScriptCommandOutput,
} from "../commands/DescribeMetadataModelExportsAsScriptCommand";
import {
  DescribeMetadataModelExportsToTargetCommandInput,
  DescribeMetadataModelExportsToTargetCommandOutput,
} from "../commands/DescribeMetadataModelExportsToTargetCommand";
import {
  DescribeMetadataModelImportsCommandInput,
  DescribeMetadataModelImportsCommandOutput,
} from "../commands/DescribeMetadataModelImportsCommand";
import {
  DescribeMigrationProjectsCommandInput,
  DescribeMigrationProjectsCommandOutput,
} from "../commands/DescribeMigrationProjectsCommand";
import {
  DescribeOrderableReplicationInstancesCommandInput,
  DescribeOrderableReplicationInstancesCommandOutput,
} from "../commands/DescribeOrderableReplicationInstancesCommand";
import {
  DescribePendingMaintenanceActionsCommandInput,
  DescribePendingMaintenanceActionsCommandOutput,
} from "../commands/DescribePendingMaintenanceActionsCommand";
import {
  DescribeRecommendationLimitationsCommandInput,
  DescribeRecommendationLimitationsCommandOutput,
} from "../commands/DescribeRecommendationLimitationsCommand";
import {
  DescribeRecommendationsCommandInput,
  DescribeRecommendationsCommandOutput,
} from "../commands/DescribeRecommendationsCommand";
import {
  DescribeRefreshSchemasStatusCommandInput,
  DescribeRefreshSchemasStatusCommandOutput,
} from "../commands/DescribeRefreshSchemasStatusCommand";
import {
  DescribeReplicationConfigsCommandInput,
  DescribeReplicationConfigsCommandOutput,
} from "../commands/DescribeReplicationConfigsCommand";
import {
  DescribeReplicationInstancesCommandInput,
  DescribeReplicationInstancesCommandOutput,
} from "../commands/DescribeReplicationInstancesCommand";
import {
  DescribeReplicationInstanceTaskLogsCommandInput,
  DescribeReplicationInstanceTaskLogsCommandOutput,
} from "../commands/DescribeReplicationInstanceTaskLogsCommand";
import {
  DescribeReplicationsCommandInput,
  DescribeReplicationsCommandOutput,
} from "../commands/DescribeReplicationsCommand";
import {
  DescribeReplicationSubnetGroupsCommandInput,
  DescribeReplicationSubnetGroupsCommandOutput,
} from "../commands/DescribeReplicationSubnetGroupsCommand";
import {
  DescribeReplicationTableStatisticsCommandInput,
  DescribeReplicationTableStatisticsCommandOutput,
} from "../commands/DescribeReplicationTableStatisticsCommand";
import {
  DescribeReplicationTaskAssessmentResultsCommandInput,
  DescribeReplicationTaskAssessmentResultsCommandOutput,
} from "../commands/DescribeReplicationTaskAssessmentResultsCommand";
import {
  DescribeReplicationTaskAssessmentRunsCommandInput,
  DescribeReplicationTaskAssessmentRunsCommandOutput,
} from "../commands/DescribeReplicationTaskAssessmentRunsCommand";
import {
  DescribeReplicationTaskIndividualAssessmentsCommandInput,
  DescribeReplicationTaskIndividualAssessmentsCommandOutput,
} from "../commands/DescribeReplicationTaskIndividualAssessmentsCommand";
import {
  DescribeReplicationTasksCommandInput,
  DescribeReplicationTasksCommandOutput,
} from "../commands/DescribeReplicationTasksCommand";
import {
  DescribeSchemasCommandInput,
  DescribeSchemasCommandOutput,
} from "../commands/DescribeSchemasCommand";
import {
  DescribeTableStatisticsCommandInput,
  DescribeTableStatisticsCommandOutput,
} from "../commands/DescribeTableStatisticsCommand";
import {
  ExportMetadataModelAssessmentCommandInput,
  ExportMetadataModelAssessmentCommandOutput,
} from "../commands/ExportMetadataModelAssessmentCommand";
import {
  ImportCertificateCommandInput,
  ImportCertificateCommandOutput,
} from "../commands/ImportCertificateCommand";
import {
  ListTagsForResourceCommandInput,
  ListTagsForResourceCommandOutput,
} from "../commands/ListTagsForResourceCommand";
import {
  ModifyConversionConfigurationCommandInput,
  ModifyConversionConfigurationCommandOutput,
} from "../commands/ModifyConversionConfigurationCommand";
import {
  ModifyDataMigrationCommandInput,
  ModifyDataMigrationCommandOutput,
} from "../commands/ModifyDataMigrationCommand";
import {
  ModifyDataProviderCommandInput,
  ModifyDataProviderCommandOutput,
} from "../commands/ModifyDataProviderCommand";
import {
  ModifyEndpointCommandInput,
  ModifyEndpointCommandOutput,
} from "../commands/ModifyEndpointCommand";
import {
  ModifyEventSubscriptionCommandInput,
  ModifyEventSubscriptionCommandOutput,
} from "../commands/ModifyEventSubscriptionCommand";
import {
  ModifyInstanceProfileCommandInput,
  ModifyInstanceProfileCommandOutput,
} from "../commands/ModifyInstanceProfileCommand";
import {
  ModifyMigrationProjectCommandInput,
  ModifyMigrationProjectCommandOutput,
} from "../commands/ModifyMigrationProjectCommand";
import {
  ModifyReplicationConfigCommandInput,
  ModifyReplicationConfigCommandOutput,
} from "../commands/ModifyReplicationConfigCommand";
import {
  ModifyReplicationInstanceCommandInput,
  ModifyReplicationInstanceCommandOutput,
} from "../commands/ModifyReplicationInstanceCommand";
import {
  ModifyReplicationSubnetGroupCommandInput,
  ModifyReplicationSubnetGroupCommandOutput,
} from "../commands/ModifyReplicationSubnetGroupCommand";
import {
  ModifyReplicationTaskCommandInput,
  ModifyReplicationTaskCommandOutput,
} from "../commands/ModifyReplicationTaskCommand";
import {
  MoveReplicationTaskCommandInput,
  MoveReplicationTaskCommandOutput,
} from "../commands/MoveReplicationTaskCommand";
import {
  RebootReplicationInstanceCommandInput,
  RebootReplicationInstanceCommandOutput,
} from "../commands/RebootReplicationInstanceCommand";
import {
  RefreshSchemasCommandInput,
  RefreshSchemasCommandOutput,
} from "../commands/RefreshSchemasCommand";
import {
  ReloadReplicationTablesCommandInput,
  ReloadReplicationTablesCommandOutput,
} from "../commands/ReloadReplicationTablesCommand";
import {
  ReloadTablesCommandInput,
  ReloadTablesCommandOutput,
} from "../commands/ReloadTablesCommand";
import {
  RemoveTagsFromResourceCommandInput,
  RemoveTagsFromResourceCommandOutput,
} from "../commands/RemoveTagsFromResourceCommand";
import {
  RunFleetAdvisorLsaAnalysisCommandInput,
  RunFleetAdvisorLsaAnalysisCommandOutput,
} from "../commands/RunFleetAdvisorLsaAnalysisCommand";
import {
  StartDataMigrationCommandInput,
  StartDataMigrationCommandOutput,
} from "../commands/StartDataMigrationCommand";
import {
  StartExtensionPackAssociationCommandInput,
  StartExtensionPackAssociationCommandOutput,
} from "../commands/StartExtensionPackAssociationCommand";
import {
  StartMetadataModelAssessmentCommandInput,
  StartMetadataModelAssessmentCommandOutput,
} from "../commands/StartMetadataModelAssessmentCommand";
import {
  StartMetadataModelConversionCommandInput,
  StartMetadataModelConversionCommandOutput,
} from "../commands/StartMetadataModelConversionCommand";
import {
  StartMetadataModelExportAsScriptCommandInput,
  StartMetadataModelExportAsScriptCommandOutput,
} from "../commands/StartMetadataModelExportAsScriptCommand";
import {
  StartMetadataModelExportToTargetCommandInput,
  StartMetadataModelExportToTargetCommandOutput,
} from "../commands/StartMetadataModelExportToTargetCommand";
import {
  StartMetadataModelImportCommandInput,
  StartMetadataModelImportCommandOutput,
} from "../commands/StartMetadataModelImportCommand";
import {
  StartRecommendationsCommandInput,
  StartRecommendationsCommandOutput,
} from "../commands/StartRecommendationsCommand";
import {
  StartReplicationCommandInput,
  StartReplicationCommandOutput,
} from "../commands/StartReplicationCommand";
import {
  StartReplicationTaskAssessmentCommandInput,
  StartReplicationTaskAssessmentCommandOutput,
} from "../commands/StartReplicationTaskAssessmentCommand";
import {
  StartReplicationTaskAssessmentRunCommandInput,
  StartReplicationTaskAssessmentRunCommandOutput,
} from "../commands/StartReplicationTaskAssessmentRunCommand";
import {
  StartReplicationTaskCommandInput,
  StartReplicationTaskCommandOutput,
} from "../commands/StartReplicationTaskCommand";
import {
  StopDataMigrationCommandInput,
  StopDataMigrationCommandOutput,
} from "../commands/StopDataMigrationCommand";
import {
  StopReplicationCommandInput,
  StopReplicationCommandOutput,
} from "../commands/StopReplicationCommand";
import {
  StopReplicationTaskCommandInput,
  StopReplicationTaskCommandOutput,
} from "../commands/StopReplicationTaskCommand";
import {
  TestConnectionCommandInput,
  TestConnectionCommandOutput,
} from "../commands/TestConnectionCommand";
import {
  UpdateSubscriptionsToEventBridgeCommandInput,
  UpdateSubscriptionsToEventBridgeCommandOutput,
} from "../commands/UpdateSubscriptionsToEventBridgeCommand";
export declare const se_AddTagsToResourceCommand: (
  input: AddTagsToResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ApplyPendingMaintenanceActionCommand: (
  input: ApplyPendingMaintenanceActionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_BatchStartRecommendationsCommand: (
  input: BatchStartRecommendationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CancelReplicationTaskAssessmentRunCommand: (
  input: CancelReplicationTaskAssessmentRunCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateDataMigrationCommand: (
  input: CreateDataMigrationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateDataProviderCommand: (
  input: CreateDataProviderCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateEndpointCommand: (
  input: CreateEndpointCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateEventSubscriptionCommand: (
  input: CreateEventSubscriptionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateFleetAdvisorCollectorCommand: (
  input: CreateFleetAdvisorCollectorCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateInstanceProfileCommand: (
  input: CreateInstanceProfileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateMigrationProjectCommand: (
  input: CreateMigrationProjectCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateReplicationConfigCommand: (
  input: CreateReplicationConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateReplicationInstanceCommand: (
  input: CreateReplicationInstanceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateReplicationSubnetGroupCommand: (
  input: CreateReplicationSubnetGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateReplicationTaskCommand: (
  input: CreateReplicationTaskCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteCertificateCommand: (
  input: DeleteCertificateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteConnectionCommand: (
  input: DeleteConnectionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteDataMigrationCommand: (
  input: DeleteDataMigrationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteDataProviderCommand: (
  input: DeleteDataProviderCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteEndpointCommand: (
  input: DeleteEndpointCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteEventSubscriptionCommand: (
  input: DeleteEventSubscriptionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteFleetAdvisorCollectorCommand: (
  input: DeleteFleetAdvisorCollectorCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteFleetAdvisorDatabasesCommand: (
  input: DeleteFleetAdvisorDatabasesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteInstanceProfileCommand: (
  input: DeleteInstanceProfileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteMigrationProjectCommand: (
  input: DeleteMigrationProjectCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteReplicationConfigCommand: (
  input: DeleteReplicationConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteReplicationInstanceCommand: (
  input: DeleteReplicationInstanceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteReplicationSubnetGroupCommand: (
  input: DeleteReplicationSubnetGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteReplicationTaskCommand: (
  input: DeleteReplicationTaskCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteReplicationTaskAssessmentRunCommand: (
  input: DeleteReplicationTaskAssessmentRunCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeAccountAttributesCommand: (
  input: DescribeAccountAttributesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeApplicableIndividualAssessmentsCommand: (
  input: DescribeApplicableIndividualAssessmentsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeCertificatesCommand: (
  input: DescribeCertificatesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeConnectionsCommand: (
  input: DescribeConnectionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeConversionConfigurationCommand: (
  input: DescribeConversionConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeDataMigrationsCommand: (
  input: DescribeDataMigrationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeDataProvidersCommand: (
  input: DescribeDataProvidersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeEndpointsCommand: (
  input: DescribeEndpointsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeEndpointSettingsCommand: (
  input: DescribeEndpointSettingsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeEndpointTypesCommand: (
  input: DescribeEndpointTypesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeEngineVersionsCommand: (
  input: DescribeEngineVersionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeEventCategoriesCommand: (
  input: DescribeEventCategoriesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeEventsCommand: (
  input: DescribeEventsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeEventSubscriptionsCommand: (
  input: DescribeEventSubscriptionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeExtensionPackAssociationsCommand: (
  input: DescribeExtensionPackAssociationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeFleetAdvisorCollectorsCommand: (
  input: DescribeFleetAdvisorCollectorsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeFleetAdvisorDatabasesCommand: (
  input: DescribeFleetAdvisorDatabasesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeFleetAdvisorLsaAnalysisCommand: (
  input: DescribeFleetAdvisorLsaAnalysisCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeFleetAdvisorSchemaObjectSummaryCommand: (
  input: DescribeFleetAdvisorSchemaObjectSummaryCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeFleetAdvisorSchemasCommand: (
  input: DescribeFleetAdvisorSchemasCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeInstanceProfilesCommand: (
  input: DescribeInstanceProfilesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeMetadataModelAssessmentsCommand: (
  input: DescribeMetadataModelAssessmentsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeMetadataModelConversionsCommand: (
  input: DescribeMetadataModelConversionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeMetadataModelExportsAsScriptCommand: (
  input: DescribeMetadataModelExportsAsScriptCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeMetadataModelExportsToTargetCommand: (
  input: DescribeMetadataModelExportsToTargetCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeMetadataModelImportsCommand: (
  input: DescribeMetadataModelImportsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeMigrationProjectsCommand: (
  input: DescribeMigrationProjectsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeOrderableReplicationInstancesCommand: (
  input: DescribeOrderableReplicationInstancesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribePendingMaintenanceActionsCommand: (
  input: DescribePendingMaintenanceActionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeRecommendationLimitationsCommand: (
  input: DescribeRecommendationLimitationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeRecommendationsCommand: (
  input: DescribeRecommendationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeRefreshSchemasStatusCommand: (
  input: DescribeRefreshSchemasStatusCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeReplicationConfigsCommand: (
  input: DescribeReplicationConfigsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeReplicationInstancesCommand: (
  input: DescribeReplicationInstancesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeReplicationInstanceTaskLogsCommand: (
  input: DescribeReplicationInstanceTaskLogsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeReplicationsCommand: (
  input: DescribeReplicationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeReplicationSubnetGroupsCommand: (
  input: DescribeReplicationSubnetGroupsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeReplicationTableStatisticsCommand: (
  input: DescribeReplicationTableStatisticsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeReplicationTaskAssessmentResultsCommand: (
  input: DescribeReplicationTaskAssessmentResultsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeReplicationTaskAssessmentRunsCommand: (
  input: DescribeReplicationTaskAssessmentRunsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeReplicationTaskIndividualAssessmentsCommand: (
  input: DescribeReplicationTaskIndividualAssessmentsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeReplicationTasksCommand: (
  input: DescribeReplicationTasksCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeSchemasCommand: (
  input: DescribeSchemasCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeTableStatisticsCommand: (
  input: DescribeTableStatisticsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ExportMetadataModelAssessmentCommand: (
  input: ExportMetadataModelAssessmentCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ImportCertificateCommand: (
  input: ImportCertificateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListTagsForResourceCommand: (
  input: ListTagsForResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ModifyConversionConfigurationCommand: (
  input: ModifyConversionConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ModifyDataMigrationCommand: (
  input: ModifyDataMigrationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ModifyDataProviderCommand: (
  input: ModifyDataProviderCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ModifyEndpointCommand: (
  input: ModifyEndpointCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ModifyEventSubscriptionCommand: (
  input: ModifyEventSubscriptionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ModifyInstanceProfileCommand: (
  input: ModifyInstanceProfileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ModifyMigrationProjectCommand: (
  input: ModifyMigrationProjectCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ModifyReplicationConfigCommand: (
  input: ModifyReplicationConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ModifyReplicationInstanceCommand: (
  input: ModifyReplicationInstanceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ModifyReplicationSubnetGroupCommand: (
  input: ModifyReplicationSubnetGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ModifyReplicationTaskCommand: (
  input: ModifyReplicationTaskCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_MoveReplicationTaskCommand: (
  input: MoveReplicationTaskCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_RebootReplicationInstanceCommand: (
  input: RebootReplicationInstanceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_RefreshSchemasCommand: (
  input: RefreshSchemasCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ReloadReplicationTablesCommand: (
  input: ReloadReplicationTablesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ReloadTablesCommand: (
  input: ReloadTablesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_RemoveTagsFromResourceCommand: (
  input: RemoveTagsFromResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_RunFleetAdvisorLsaAnalysisCommand: (
  input: RunFleetAdvisorLsaAnalysisCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartDataMigrationCommand: (
  input: StartDataMigrationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartExtensionPackAssociationCommand: (
  input: StartExtensionPackAssociationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartMetadataModelAssessmentCommand: (
  input: StartMetadataModelAssessmentCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartMetadataModelConversionCommand: (
  input: StartMetadataModelConversionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartMetadataModelExportAsScriptCommand: (
  input: StartMetadataModelExportAsScriptCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartMetadataModelExportToTargetCommand: (
  input: StartMetadataModelExportToTargetCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartMetadataModelImportCommand: (
  input: StartMetadataModelImportCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartRecommendationsCommand: (
  input: StartRecommendationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartReplicationCommand: (
  input: StartReplicationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartReplicationTaskCommand: (
  input: StartReplicationTaskCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartReplicationTaskAssessmentCommand: (
  input: StartReplicationTaskAssessmentCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartReplicationTaskAssessmentRunCommand: (
  input: StartReplicationTaskAssessmentRunCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StopDataMigrationCommand: (
  input: StopDataMigrationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StopReplicationCommand: (
  input: StopReplicationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StopReplicationTaskCommand: (
  input: StopReplicationTaskCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_TestConnectionCommand: (
  input: TestConnectionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateSubscriptionsToEventBridgeCommand: (
  input: UpdateSubscriptionsToEventBridgeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const de_AddTagsToResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AddTagsToResourceCommandOutput>;
export declare const de_ApplyPendingMaintenanceActionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ApplyPendingMaintenanceActionCommandOutput>;
export declare const de_BatchStartRecommendationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchStartRecommendationsCommandOutput>;
export declare const de_CancelReplicationTaskAssessmentRunCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CancelReplicationTaskAssessmentRunCommandOutput>;
export declare const de_CreateDataMigrationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateDataMigrationCommandOutput>;
export declare const de_CreateDataProviderCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateDataProviderCommandOutput>;
export declare const de_CreateEndpointCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateEndpointCommandOutput>;
export declare const de_CreateEventSubscriptionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateEventSubscriptionCommandOutput>;
export declare const de_CreateFleetAdvisorCollectorCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateFleetAdvisorCollectorCommandOutput>;
export declare const de_CreateInstanceProfileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateInstanceProfileCommandOutput>;
export declare const de_CreateMigrationProjectCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateMigrationProjectCommandOutput>;
export declare const de_CreateReplicationConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateReplicationConfigCommandOutput>;
export declare const de_CreateReplicationInstanceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateReplicationInstanceCommandOutput>;
export declare const de_CreateReplicationSubnetGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateReplicationSubnetGroupCommandOutput>;
export declare const de_CreateReplicationTaskCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateReplicationTaskCommandOutput>;
export declare const de_DeleteCertificateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteCertificateCommandOutput>;
export declare const de_DeleteConnectionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteConnectionCommandOutput>;
export declare const de_DeleteDataMigrationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteDataMigrationCommandOutput>;
export declare const de_DeleteDataProviderCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteDataProviderCommandOutput>;
export declare const de_DeleteEndpointCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteEndpointCommandOutput>;
export declare const de_DeleteEventSubscriptionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteEventSubscriptionCommandOutput>;
export declare const de_DeleteFleetAdvisorCollectorCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteFleetAdvisorCollectorCommandOutput>;
export declare const de_DeleteFleetAdvisorDatabasesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteFleetAdvisorDatabasesCommandOutput>;
export declare const de_DeleteInstanceProfileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteInstanceProfileCommandOutput>;
export declare const de_DeleteMigrationProjectCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteMigrationProjectCommandOutput>;
export declare const de_DeleteReplicationConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteReplicationConfigCommandOutput>;
export declare const de_DeleteReplicationInstanceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteReplicationInstanceCommandOutput>;
export declare const de_DeleteReplicationSubnetGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteReplicationSubnetGroupCommandOutput>;
export declare const de_DeleteReplicationTaskCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteReplicationTaskCommandOutput>;
export declare const de_DeleteReplicationTaskAssessmentRunCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteReplicationTaskAssessmentRunCommandOutput>;
export declare const de_DescribeAccountAttributesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeAccountAttributesCommandOutput>;
export declare const de_DescribeApplicableIndividualAssessmentsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeApplicableIndividualAssessmentsCommandOutput>;
export declare const de_DescribeCertificatesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeCertificatesCommandOutput>;
export declare const de_DescribeConnectionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeConnectionsCommandOutput>;
export declare const de_DescribeConversionConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeConversionConfigurationCommandOutput>;
export declare const de_DescribeDataMigrationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeDataMigrationsCommandOutput>;
export declare const de_DescribeDataProvidersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeDataProvidersCommandOutput>;
export declare const de_DescribeEndpointsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeEndpointsCommandOutput>;
export declare const de_DescribeEndpointSettingsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeEndpointSettingsCommandOutput>;
export declare const de_DescribeEndpointTypesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeEndpointTypesCommandOutput>;
export declare const de_DescribeEngineVersionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeEngineVersionsCommandOutput>;
export declare const de_DescribeEventCategoriesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeEventCategoriesCommandOutput>;
export declare const de_DescribeEventsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeEventsCommandOutput>;
export declare const de_DescribeEventSubscriptionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeEventSubscriptionsCommandOutput>;
export declare const de_DescribeExtensionPackAssociationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeExtensionPackAssociationsCommandOutput>;
export declare const de_DescribeFleetAdvisorCollectorsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeFleetAdvisorCollectorsCommandOutput>;
export declare const de_DescribeFleetAdvisorDatabasesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeFleetAdvisorDatabasesCommandOutput>;
export declare const de_DescribeFleetAdvisorLsaAnalysisCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeFleetAdvisorLsaAnalysisCommandOutput>;
export declare const de_DescribeFleetAdvisorSchemaObjectSummaryCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeFleetAdvisorSchemaObjectSummaryCommandOutput>;
export declare const de_DescribeFleetAdvisorSchemasCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeFleetAdvisorSchemasCommandOutput>;
export declare const de_DescribeInstanceProfilesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeInstanceProfilesCommandOutput>;
export declare const de_DescribeMetadataModelAssessmentsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeMetadataModelAssessmentsCommandOutput>;
export declare const de_DescribeMetadataModelConversionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeMetadataModelConversionsCommandOutput>;
export declare const de_DescribeMetadataModelExportsAsScriptCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeMetadataModelExportsAsScriptCommandOutput>;
export declare const de_DescribeMetadataModelExportsToTargetCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeMetadataModelExportsToTargetCommandOutput>;
export declare const de_DescribeMetadataModelImportsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeMetadataModelImportsCommandOutput>;
export declare const de_DescribeMigrationProjectsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeMigrationProjectsCommandOutput>;
export declare const de_DescribeOrderableReplicationInstancesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeOrderableReplicationInstancesCommandOutput>;
export declare const de_DescribePendingMaintenanceActionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribePendingMaintenanceActionsCommandOutput>;
export declare const de_DescribeRecommendationLimitationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeRecommendationLimitationsCommandOutput>;
export declare const de_DescribeRecommendationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeRecommendationsCommandOutput>;
export declare const de_DescribeRefreshSchemasStatusCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeRefreshSchemasStatusCommandOutput>;
export declare const de_DescribeReplicationConfigsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeReplicationConfigsCommandOutput>;
export declare const de_DescribeReplicationInstancesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeReplicationInstancesCommandOutput>;
export declare const de_DescribeReplicationInstanceTaskLogsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeReplicationInstanceTaskLogsCommandOutput>;
export declare const de_DescribeReplicationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeReplicationsCommandOutput>;
export declare const de_DescribeReplicationSubnetGroupsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeReplicationSubnetGroupsCommandOutput>;
export declare const de_DescribeReplicationTableStatisticsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeReplicationTableStatisticsCommandOutput>;
export declare const de_DescribeReplicationTaskAssessmentResultsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeReplicationTaskAssessmentResultsCommandOutput>;
export declare const de_DescribeReplicationTaskAssessmentRunsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeReplicationTaskAssessmentRunsCommandOutput>;
export declare const de_DescribeReplicationTaskIndividualAssessmentsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeReplicationTaskIndividualAssessmentsCommandOutput>;
export declare const de_DescribeReplicationTasksCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeReplicationTasksCommandOutput>;
export declare const de_DescribeSchemasCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeSchemasCommandOutput>;
export declare const de_DescribeTableStatisticsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeTableStatisticsCommandOutput>;
export declare const de_ExportMetadataModelAssessmentCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ExportMetadataModelAssessmentCommandOutput>;
export declare const de_ImportCertificateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ImportCertificateCommandOutput>;
export declare const de_ListTagsForResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTagsForResourceCommandOutput>;
export declare const de_ModifyConversionConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ModifyConversionConfigurationCommandOutput>;
export declare const de_ModifyDataMigrationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ModifyDataMigrationCommandOutput>;
export declare const de_ModifyDataProviderCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ModifyDataProviderCommandOutput>;
export declare const de_ModifyEndpointCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ModifyEndpointCommandOutput>;
export declare const de_ModifyEventSubscriptionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ModifyEventSubscriptionCommandOutput>;
export declare const de_ModifyInstanceProfileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ModifyInstanceProfileCommandOutput>;
export declare const de_ModifyMigrationProjectCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ModifyMigrationProjectCommandOutput>;
export declare const de_ModifyReplicationConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ModifyReplicationConfigCommandOutput>;
export declare const de_ModifyReplicationInstanceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ModifyReplicationInstanceCommandOutput>;
export declare const de_ModifyReplicationSubnetGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ModifyReplicationSubnetGroupCommandOutput>;
export declare const de_ModifyReplicationTaskCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ModifyReplicationTaskCommandOutput>;
export declare const de_MoveReplicationTaskCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<MoveReplicationTaskCommandOutput>;
export declare const de_RebootReplicationInstanceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RebootReplicationInstanceCommandOutput>;
export declare const de_RefreshSchemasCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RefreshSchemasCommandOutput>;
export declare const de_ReloadReplicationTablesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ReloadReplicationTablesCommandOutput>;
export declare const de_ReloadTablesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ReloadTablesCommandOutput>;
export declare const de_RemoveTagsFromResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RemoveTagsFromResourceCommandOutput>;
export declare const de_RunFleetAdvisorLsaAnalysisCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RunFleetAdvisorLsaAnalysisCommandOutput>;
export declare const de_StartDataMigrationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartDataMigrationCommandOutput>;
export declare const de_StartExtensionPackAssociationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartExtensionPackAssociationCommandOutput>;
export declare const de_StartMetadataModelAssessmentCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartMetadataModelAssessmentCommandOutput>;
export declare const de_StartMetadataModelConversionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartMetadataModelConversionCommandOutput>;
export declare const de_StartMetadataModelExportAsScriptCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartMetadataModelExportAsScriptCommandOutput>;
export declare const de_StartMetadataModelExportToTargetCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartMetadataModelExportToTargetCommandOutput>;
export declare const de_StartMetadataModelImportCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartMetadataModelImportCommandOutput>;
export declare const de_StartRecommendationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartRecommendationsCommandOutput>;
export declare const de_StartReplicationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartReplicationCommandOutput>;
export declare const de_StartReplicationTaskCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartReplicationTaskCommandOutput>;
export declare const de_StartReplicationTaskAssessmentCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartReplicationTaskAssessmentCommandOutput>;
export declare const de_StartReplicationTaskAssessmentRunCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartReplicationTaskAssessmentRunCommandOutput>;
export declare const de_StopDataMigrationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StopDataMigrationCommandOutput>;
export declare const de_StopReplicationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StopReplicationCommandOutput>;
export declare const de_StopReplicationTaskCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StopReplicationTaskCommandOutput>;
export declare const de_TestConnectionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TestConnectionCommandOutput>;
export declare const de_UpdateSubscriptionsToEventBridgeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateSubscriptionsToEventBridgeCommandOutput>;
